Subject: Re: [Bitcoin-development] DNS seeds unstable

From: Jeff Garzik <[email-masked]>
Date: Sat, 17 May 2014 00:02:46 +0200

There are only two testnet seeds listed in bitcoind, and one of them
returns SERVFAIL (testnet-seed.bitcoin.petertodd.org) and the other
just returns one A record (testnet-seed.bluematt.me).  No idea what
seeds bitcoinj uses.

If you are going to depend on testnet, especially for an important
demo... contribute to the infrastructure!  This stuff doesn't just fix
itself for free.

On Fri, May 16, 2014 at 7:07 PM, Alex Kotenko <[email-masked]> wrote:
> Hi guys
>
>
> Just wanted to let you know that Andreas' testnet Bitcoin Wallet doesn't
> work because of fail in the peer discovery, and this caused us problems as
> we cannot properly demonstrate my XBTerminal POS on the Bitcoin Conference.
>
> Right now I'm booting up an own full node that I will set as trusted peer in
> the Wallet settings, hopefully this will work. However this DNS discovery
> problem is really a problem, even for testnet. Btw, I had problems firing up
> the full bitcoind node also, of the same reason - discovery failed. I had to
> ask Andreas to paste me his node list to manually seed the nodelist.
>
> So I've set up and will run a well connected testnet node, as we need it for
> the XBTerminal.
> Please let me know if I can somehow help to fix the DNS discovery issue
> also.
>
>
> Best regards,
> Alex Kotenko
>
>
> 2014-05-16 17:46 GMT+01:00 Laszlo Hanyecz <[email-masked]>:
>
>> It looks like it might be firewalled, probably just need to fix the ACL in
>> EC2.
>>
>> -Laszlo
>>
>> On May 16, 2014, at 4:34 PM, Andreas Schildbach <[email-masked]>
>> wrote:
>>
>> > Apparently British Telecom also cannot speak to Peter Todd's server.
>> >
>> > That another very large ISP in Europe.
>> >
>> >
>> > On 05/15/2014 01:50 PM, Andreas Schildbach wrote:
>> >> I'm bringing this issue up again. The current Bitcoin DNS seed
>> >> infrastructure is unstable. I assume this is because of we're using a
>> >> custom DNS implementation which is not 100% compatible. There have been
>> >> bugs in the past, like a case sensitive match for the domain name.
>> >>
>> >> Current state (seeds taken from bitcoinj):
>> >>
>> >> mainnet:
>> >>
>> >> seed.bitcoin.sipa.be                 OK
>> >> dnsseed.bluematt.me                  OK
>> >> dnsseed.bitcoin.dashjr.org           SERVFAIL, tried multiple ISPs
>> >> seed.bitcoinstats.com                        OK
>> >>
>> >> testnet:
>> >>
>> >> testnet-seed.bitcoin.petertodd.org   SERVFAIL, just from Telefonica
>> >> testnet-seed.bluematt.me             OK (but only returns one node)
>> >>
>> >> Note: Telefonica is one of Europe's largest ISPs.
>> >>
>> >> I would try to improve DNS myself, but I'm not capable of writing C. My
>> >> "fix" would be to reimplement everything in Java -- I doubt you guys
>> >> would be happy with that.
>> >>
>> >>
>> >>
>> >> ------------------------------------------------------------------------------
>> >> "Accelerate Dev Cycles with Automated Cross-Browser Testing - For FREE
>> >> Instantly run your Selenium tests across 300+ browser/OS combos.
>> >> Get unparalleled scalability from the best Selenium testing platform
>> >> available
>> >> Simple to use. Nothing to install. Get started now for free."
>> >> http://p.sf.net/sfu/SauceLabs
>> >>
>> >
>> >
>> >
>> >
>> > ------------------------------------------------------------------------------
>> > "Accelerate Dev Cycles with Automated Cross-Browser Testing - For FREE
>> > Instantly run your Selenium tests across 300+ browser/OS combos.
>> > Get unparalleled scalability from the best Selenium testing platform
>> > available
>> > Simple to use. Nothing to install. Get started now for free."
>> > http://p.sf.net/sfu/SauceLabs
>> > _______________________________________________
>> > Bitcoin-development mailing list
>> > [email-masked]
>> > https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>>
>>
>>
>> ------------------------------------------------------------------------------
>> "Accelerate Dev Cycles with Automated Cross-Browser Testing - For FREE
>> Instantly run your Selenium tests across 300+ browser/OS combos.
>> Get unparalleled scalability from the best Selenium testing platform
>> available
>> Simple to use. Nothing to install. Get started now for free."
>> http://p.sf.net/sfu/SauceLabs
>> _______________________________________________
>> Bitcoin-development mailing list
>> [email-masked]
>> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>
>
>
> ------------------------------------------------------------------------------
> "Accelerate Dev Cycles with Automated Cross-Browser Testing - For FREE
> Instantly run your Selenium tests across 300+ browser/OS combos.
> Get unparalleled scalability from the best Selenium testing platform
> available
> Simple to use. Nothing to install. Get started now for free."
> http://p.sf.net/sfu/SauceLabs
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>

-- 
Jeff Garzik
Bitcoin core developer and open source evangelist
BitPay, Inc.      https://bitpay.com/